# NetAccess

Bindings for KIO::NetAccess.

## Methods

- exists(...)
- download(...)
- isWidgetType(...)
- parent(...)
- del(...)
- fish_execute(...)
- lastErrorString(...)
- removeTempFile(...)
- disconnect(...)
- dircopy(...)
- signals(...)
- slots(...)
- getAttribute(...)
- child(...)
- children(...)
- superClassName(...)
- mimetype(...)
- properties(...)
- deleteLater(...)
- className(...)
- setAttribute(...)
- copy(...)
- upload(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- getElementById(...)
- move(...)
- getParentNode(...)

## Properties

None

## Qt Properties

- QCString name unnamed

## Qt Signals

- destroyed()
- destroyed(QObject*)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- bool download(const KURL&,const QString&)
- void removeTempFile(const QString&)
- bool upload(const QString&,const KURL&)
- bool copy(const KURL&,const KURL&)
- bool dircopy(const KURL&,const KURL&)
- bool move(const KURL&,const KURL&)
- bool exists(const KURL&,bool)
- bool del(const KURL&)
- QString fish_execute(const KURL&,const QString&)
- QString mimetype(const KURL&)
- QString lastErrorString()